/[suikacvs]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.8 by wakaba, Mon Sep 3 14:30:46 2007 UTC revision 1.18 by wakaba, Sun Feb 24 02:17:51 2008 UTC
# Line 7  Line 7 
7    padding: 0.5em 1em;    padding: 0.5em 1em;
8  }  }
9    
10  dt, strong {  dt, strong, th {
11    font-weight: bolder;    font-weight: bolder;
12    font-family: sans-serif;    font-family: sans-serif;
13  }  }
# Line 30  h2 { Line 30  h2 {
30    font-size: 150%;    font-size: 150%;
31  }  }
32    
33  h3 {  h3, th {
34    font-weight: bolder;    font-weight: bolder;
35    font-family: sans-serif;    font-family: sans-serif;
36    font-size: 100%;    font-size: 100%;
# Line 103  q:before, q:after { Line 103  q:before, q:after {
103    font-size: 90%;    font-size: 90%;
104  }  }
105    
106  #parse-errors dd, #document-errors dd, #error-description h3 {  #dump-manifest tbody:empty {
107      display: table-caption;
108      caption-side: bottom;
109    }
110    
111    #dump-manifest tbody:empty::after {
112      content: "This cache manifest contains no oppotunistic caching namespace.";
113      font-style: italic;
114    }
115    
116    #dump-manifest dt:first-child + dt::before,
117    #dump-manifest dt:last-child::after {
118      display: block;
119      content: "This cache manifest contains no explicit entry.";
120      margin-left: 2.5em;
121      font-style: italic;
122      font-weight: normal;
123      font-family: serif;
124    }
125    
126    #dump-manifest dt:last-child::after {
127      content: "This cache manifest has an empty online whitelist.";
128    }
129    
130    #parse-errors dd, #document-errors dd, #error-description h3,
131    #result-para {
132    margin-left: 20px;    margin-left: 20px;
133    padding-left: 40px;    padding-left: 40px;
134    min-height: 32px;    min-height: 32px;
# Line 112  q:before, q:after { Line 137  q:before, q:after {
137    background-repeat: no-repeat;    background-repeat: no-repeat;
138  }  }
139    
140    #levels-table tbody th:first-child {
141      padding-left: 42px;
142      min-height: 32px;
143      background-image: url(large-stop);
144      background-position: 5px center;
145      background-repeat: no-repeat;
146      text-align: left;
147    }
148    
149  #identifiers dd, #terms dd {  #identifiers dd, #terms dd {
150    margin-left: 20px;    margin-left: 20px;
151    padding-left: 20px;    padding-left: 20px;
# Line 129  q:before, q:after { Line 163  q:before, q:after {
163    margin-right: 1em;    margin-right: 1em;
164  }  }
165    
166  #document-errors dd.should, #error-description .should h3 {  #parse-errors dd.level-s, #document-errors dd.level-s,
167    #parse-errors dd.should,
168    #document-errors dd.should, #error-description .should h3,
169    #result-para.SEE-RESULT, #levels-table #level-s th {
170      background-image: url(large-stop);
171    }
172    
173    #parse-errors dd.level-w, #document-errors dd.level-w,
174    #parse-errors dd.warning,
175    #document-errors dd.warning, #error-description .warning h3,
176    #levels-table #level-w th {
177    background-image: url(large-alert);    background-image: url(large-alert);
178  }  }
179    
180    #parse-errors dd.level-i, #document-errors dd.level-i,
181    #error-description .level-i h3,
182    #levels-table #level-i th {
183      background-image: url(large-info);
184    }
185    
186    #parse-errors dd.level-u, #document-errors dd.level-u,
187    #parse-errors dd.level-unsupported, #document-errors dd.level-unsupported,
188    #parse-errors dd.unsupported,
189  #document-errors dd.unsupported {  #document-errors dd.unsupported {
190    margin-left: 60px;    margin-left: 60px;
191    border: red 0.2em solid;    border: red 0.2em solid;
192    padding: 0.5em;    padding: 0.5em;
193  }  }
194    
195  #document-errors dd.unsupported, #error-description .unsupported h3 {  #parse-errors dd.unsupported,
196    #document-errors dd.unsupported, #error-description .unsupported h3,
197    #result-para.uncertain,
198    #parse-errors dd.level-u, #document-errors dd.level-u,
199    #levels-table #level-u th {
200    background-image: none;    background-image: none;
201  }  }
202    
203    #result-para.PASS {
204      background-image: url(ok);
205    }
206    
207  #nav-items {  #nav-items {
208    display: block;    display: block;
209    position: fixed;    position: fixed;
# Line 186  code { Line 247  code {
247    white-space: pre-wrap;    white-space: pre-wrap;
248  }  }
249    
250    .example {
251      background-color: #ececff;
252    }
253    
254    pre.example {
255      margin-left: 1em;
256      margin-right: 1em;
257      padding: 0.2em 0.5em;
258    }
259    
260    .example.bad {
261      background-color: #fff7f7;
262    }
263    
264    code.example.bad {
265      color: inherit;
266      background-color: #ffeeee;
267    }
268    
269    h3 code.example.bad {
270      color: orangered;
271      background-color: transparent;
272    }
273    
274    pre.example::before {
275      content: "Example";
276      display: block;
277      color: #b0b0ff;
278      background-color: transparent;
279      font-weight: bolder;
280      font-family: sans-serif;
281    }
282    
283    pre.example.html::before {
284      content: "HTML Example";
285    }
286    
287    pre.example.xml::before {
288      content: "XML Example";
289    }
290    
291    pre.example.manifest::before {
292      content: "Cache Manifest Example";
293    }
294    
295    pre.example.bad::before {
296      content: "Bad Example";
297      color: #ffc1c1;
298    }
299    
300    pre.example.bad.html::before {
301      content: "HTML Bad Example";
302    }
303    
304    pre.example.bad.xml::before {
305      content: "XML Bad Example";
306    }
307    
308    pre.example.bad.manifest::before {
309      content: "Cache Manifest Bad Example";
310    }
311    
312    .rfc2119 {
313      border-style: none;
314      text-transform: lowercase;
315      font-variant: small-caps;
316      font-style: normal;
317      text-decoration: none;
318      font-weight: normal;
319      font-family: sans-serif;
320    }
321    
322    #result-summary table {
323      margin-left: auto;
324      margin-right: auto;
325      border: 3px solid #800080;
326      border-collapse: collapse;
327    }
328    
329    #result-summary tbody, colgroup {
330      border: 3px solid #800080;
331    }
332    
333    #result-summary th {
334      background-color: #fff0f0;
335      color: black;
336    }
337    
338    #result-summary th, #result-summary td {
339      border: 1px solid #800080;
340      padding: 0.2em 0.5em;
341      text-align: center;
342      empty-cells: show;
343    }
344    
345    .uncertain td, p.uncertain,
346    #level-u, #level-u th {
347      background-color: #e1e1ff;
348      color: black;
349    }
350    
351    .FAIL, .uncertain td.FAIL, #level-m, #level-m th {
352      background-color: #ffcece;
353      color: black;
354    }
355    
356    .SEE-RESULT, .uncertain td.SEE-RESULT, #level-s, #level-s th {
357      background-color: #e1e1ff;
358      color: black;
359    }
360    
361    .PASS, #level-w, #level-w th,
362    #level-i, #level-i th {
363      background-color: #ddffdd;
364      color: black;
365    }
366    
367    #result-para {
368      padding-top: 0.2em;
369      padding-bottom: 0.2em;
370      padding-right: 1em;
371    }
372    
373    /* dl.switch from WHATWG specification style sheet */
374    
375    dl.switch {
376      padding-left: 2em;
377    }
378    
379    dl.switch dt {
380      display: block;
381      text-indent: -1.5em;
382      font-weight: bolder;
383      font-family: sans-serif;
384      font-style: normal;
385    }
386    
387    dl.switch dt:before {
388      content: '\21AA';
389      padding: 0 0.5em 0 0;
390      display: inline-block;
391      width: 1em;
392      text-align: right;
393      line-height: 0.5em;
394    }
395    
396    dl.switch dt:after {
397      content: " :";
398    }
399    
400  /*  /*
401    
402  Copyright 2007 Wakaba <[email protected]>  Copyright 2007 Wakaba <[email protected]>.
403    
404  This library is free software; you can redistribute it  This library is free software; you can redistribute it
405  and/or modify it under the same terms as Perl itself.  and/or modify it under the same terms as Perl itself.

Legend:
Removed from v.1.8  
changed lines
  Added in v.1.18

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24